Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get a wallet

GET/wallets/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Responses
200

The wallet

_linksHalLinks
idinteger
typestring
Allowed:pointscredit
namestring
statestring
Allowed:activeinactive
balanceinteger
contact_idinteger
program_idinteger
consentedboolean
limit_amountinteger

Credit wallets only — maximum spendable balance.

overdue_limit_amountinteger

Credit wallets only — percentage of limit_amount allowed as overdue.

loan_termstring

Credit wallets only — e.g. "2.days", "3.months".

created_onstring<date-time>
updated_onstring<date-time>
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/wallets/0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "type": "points",
  "name": "string",
  "state": "active",
  "balance": 0,
  "contact_id": 0,
  "program_id": 0,
  "consented": true,
  "limit_amount": 0,
  "overdue_limit_amount": 0,
  "loan_term": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?